Skip to main content
POST
/
api
/
v2
/
virtual-accounts
/
{id}
/
withdrawals
Create withdrawal from virtual account
curl --request POST \
  --url https://sandbox.killb.app/api/v2/virtual-accounts/{id}/withdrawals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 100,
  "accountId": "4d23aa52-1b40-4584-a8ea-58aba6099c5c"
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "virtualAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "customerId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "amount": 8000,
  "currency": "USDC",
  "network": "POLYGON",
  "address": "0x1234567890abcdef1234567890abcdef12345678",
  "status": "PENDING",
  "metadata": {},
  "active": true,
  "createdAt": "2026-04-23T00:38:08.439Z",
  "updatedAt": "2026-04-23T00:38:08.439Z",
  "transferId": "txn_abc123xyz",
  "transferProof": "https://polygonscan.com/tx/0xabc123"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Body

application/json
amount
number
required

Amount to withdraw

Example:

100

accountId
string<uuid>
required

Destination account ID

Example:

"4d23aa52-1b40-4584-a8ea-58aba6099c5c"

Response

id
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

virtualAccountId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

customerId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

userId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

amount
number
required
Example:

8000

currency
string
required
Example:

"USDC"

network
string
required
Example:

"POLYGON"

address
string
required
Example:

"0x1234567890abcdef1234567890abcdef12345678"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
REJECTED
Example:

"PENDING"

metadata
object
required
Example:
{}
active
boolean
required
Example:

true

createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

transferId
string
Example:

"txn_abc123xyz"

transferProof
string
Example:

"https://polygonscan.com/tx/0xabc123"